#!/bin/bash

_install() {
    # if [[ $ARCH != 'x86_64' ]];then
    #     return 0
    # fi
    yum remove -y uagent >/dev/null 2>&1
    yum remove -y ucloud-secagent >/dev/null 2>&1
    yum install -y uca_base >/dev/null 2>&1

}

_check() {
    _check="PASS"
    # if [[ $ARCH != 'x86_64' ]];then
    #     return 0
    # fi

    # Check If uagent Is Running
    pgrep uca_base 1>/dev/null
    if [[ $? -ne 0 ]]; then
        _check="FAIL"
        PRINT_ERR "[ERROR] uagent Not Running"
    fi

}
